package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 发泡箱体追溯报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class BoxTraceabilityDetailReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * SAP订单编号
     */
    @Excel(name = "SAP订单编号")
    @JsonProperty("ORDER_CODE")
    private String ORDER_CODE;

    /**
     * 销售订单编号
     */
    @Excel(name = "销售订单编号")
    @JsonProperty("SALEORDER_CODE")
    private String SALEORDER_CODE;

    /**
     * 销售订单行号
     */
    @Excel(name = "销售订单行号")
    @JsonProperty("SALEORDER_LINENUMBER")
    private String SALEORDER_LINENUMBER;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    @JsonProperty("MATERIAL_CODE")
    private String MATERIAL_CODE;

    /**
     * 产品型号
     */
    @Excel(name = "产品型号")
    @JsonProperty("MATERIAL_MODEL")
    private String MATERIAL_MODEL;

    /**
     * 订单数
     */
    @Excel(name = "订单数")
    @JsonProperty("ORDER_AMOUNT")
    private Long ORDER_AMOUNT;

    /**
     * MES箱体码
     */
    @Excel(name = "MES箱体码")
    @JsonProperty("BOX_CODE")
    private String BOX_CODE;

    /**
     * 泡前入库数
     */
    private Long BEFORE_NUMBER;

    /**
     * 扫描下线数
     */
    private Long SCAN_NUMBER;

    /**
     * 差异数
     */
    private Long DIFF_NUMBER;


    /**
     * 最后扫描点
     */
    @Excel(name = "最后扫描点")
    @JsonProperty("SCAN_SPOT")
    private String SCAN_SPOT;

    /**
     * 泡前入库时间
     */
    private Date IN_STORE_TIME;

    /**
     * 扫描下线时间
     */
    private Date COMPLETE_DATE;

    /**
     * 是否报废
     */
    @Excel(name = "是否报废")
    @JsonProperty("SCRAP_FLAG")
    private String SCRAP_FLAG;

    private String productLineCode;

    //扫描时间
    private Date SCAN_TIME;

    //执行顺序
    private String EXECUTION_SORT;

    //产线编号
    private String PRODUCT_LINE_CODE;

    @Excel(name = "条码打印")
     private String CODE1000;
    @Excel(name = "前/后板自动成型")
     private String CODE1001;
    @Excel(name = "胆、壳组装")
     private String CODE1002;
    @Excel(name = "泡前库")
     private String CODE1004;
    @Excel(name = "箱体发泡")
     private String CODE1005;
    @Excel(name = "泡后库")
     private String CODE1006;
    @Excel(name = "灌注")
     private String CODE1007;
    @Excel(name = "MES/SN绑定")
     private String CODE1008;
    @Excel(name = "成品下线扫描")
     private String CODE1009;
    @Excel(name = "成品库分垛")
     private String CODE1010;
    @Excel(name = "泡后出库")
     private String CODE1011;
    @Excel(name = "泡后出库")
     private String CODE1012;
    @Excel(name = "门体发泡")
     private String CODE1020;
    @Excel(name = "内胆预装检漏")
     private String CODE2001;
    @Excel(name = "箱体发泡检验02")
     private String CODE2002;
    @Excel(name = "箱体发泡检验01")
     private String CODE2003;
    @Excel(name = "电检检验")
     private String CODE2005;
    @Excel(name = "低压检漏")
     private String CODE2006;
    @Excel(name = "高压检漏")
     private String CODE2007;
    @Excel(name = "测温检验01")
     private String CODE2008;
    @Excel(name = "测温检验02")
     private String CODE2009;
    @Excel(name = "终检01")
     private String CODE2010;
    @Excel(name = "终检02")
     private String CODE2011;
    @Excel(name = "终检03")
     private String CODE2012;
    @Excel(name = "OQC抽检工位")
     private String CODE2013;
    @Excel(name = "性能抽检工位")
     private String CODE2014;
    @Excel(name = "总装(灌注)质检")
     private String CODE2015;
    @Excel(name = "包装箱检验")
     private String CODE2016;
    @Excel(name = "门体检验")
     private String CODE2020;

    private String CODE1105;
    private String CODE1109;

    public String getEXECUTION_SORT() {
        return EXECUTION_SORT;
    }

    public void setEXECUTION_SORT(String EXECUTION_SORT) {
        this.EXECUTION_SORT = EXECUTION_SORT;
    }

    public String getPRODUCT_LINE_CODE() {
        return PRODUCT_LINE_CODE;
    }

    public void setPRODUCT_LINE_CODE(String PRODUCT_LINE_CODE) {
        this.PRODUCT_LINE_CODE = PRODUCT_LINE_CODE;
    }

    public String getCODE1000() {
        return CODE1000;
    }

    public void setCODE1000(String CODE1000) {
        this.CODE1000 = CODE1000;
    }

    public String getCODE1001() {
        return CODE1001;
    }

    public void setCODE1001(String CODE1001) {
        this.CODE1001 = CODE1001;
    }

    public String getCODE1002() {
        return CODE1002;
    }

    public void setCODE1002(String CODE1002) {
        this.CODE1002 = CODE1002;
    }

    public String getCODE1004() {
        return CODE1004;
    }

    public void setCODE1004(String CODE1004) {
        this.CODE1004 = CODE1004;
    }

    public String getCODE1005() {
        return CODE1005;
    }

    public void setCODE1005(String CODE1005) {
        this.CODE1005 = CODE1005;
    }

    public String getCODE1006() {
        return CODE1006;
    }

    public void setCODE1006(String CODE1006) {
        this.CODE1006 = CODE1006;
    }

    public String getCODE1007() {
        return CODE1007;
    }

    public void setCODE1007(String CODE1007) {
        this.CODE1007 = CODE1007;
    }

    public String getCODE1008() {
        return CODE1008;
    }

    public void setCODE1008(String CODE1008) {
        this.CODE1008 = CODE1008;
    }

    public String getCODE1009() {
        return CODE1009;
    }

    public void setCODE1009(String CODE1009) {
        this.CODE1009 = CODE1009;
    }

    public String getCODE1010() {
        return CODE1010;
    }

    public void setCODE1010(String CODE1010) {
        this.CODE1010 = CODE1010;
    }

    public String getCODE1011() {
        return CODE1011;
    }

    public void setCODE1011(String CODE1011) {
        this.CODE1011 = CODE1011;
    }

    public String getCODE1012() {
        return CODE1012;
    }

    public void setCODE1012(String CODE1012) {
        this.CODE1012 = CODE1012;
    }

    public String getCODE1020() {
        return CODE1020;
    }

    public void setCODE1020(String CODE1020) {
        this.CODE1020 = CODE1020;
    }

    public String getCODE1105() {
        return CODE1105;
    }

    public void setCODE1105(String CODE1105) {
        this.CODE1105 = CODE1105;
    }

    public String getCODE1109() {
        return CODE1109;
    }

    public void setCODE1109(String CODE1109) {
        this.CODE1109 = CODE1109;
    }

    public String getCODE2001() {
        return CODE2001;
    }

    public void setCODE2001(String CODE2001) {
        this.CODE2001 = CODE2001;
    }

    public String getCODE2002() {
        return CODE2002;
    }

    public void setCODE2002(String CODE2002) {
        this.CODE2002 = CODE2002;
    }

    public String getCODE2003() {
        return CODE2003;
    }

    public void setCODE2003(String CODE2003) {
        this.CODE2003 = CODE2003;
    }

    public String getCODE2005() {
        return CODE2005;
    }

    public void setCODE2005(String CODE2005) {
        this.CODE2005 = CODE2005;
    }

    public String getCODE2006() {
        return CODE2006;
    }

    public void setCODE2006(String CODE2006) {
        this.CODE2006 = CODE2006;
    }

    public String getCODE2007() {
        return CODE2007;
    }

    public void setCODE2007(String CODE2007) {
        this.CODE2007 = CODE2007;
    }

    public String getCODE2008() {
        return CODE2008;
    }

    public void setCODE2008(String CODE2008) {
        this.CODE2008 = CODE2008;
    }

    public String getCODE2009() {
        return CODE2009;
    }

    public void setCODE2009(String CODE2009) {
        this.CODE2009 = CODE2009;
    }

    public String getCODE2010() {
        return CODE2010;
    }

    public void setCODE2010(String CODE2010) {
        this.CODE2010 = CODE2010;
    }

    public String getCODE2011() {
        return CODE2011;
    }

    public void setCODE2011(String CODE2011) {
        this.CODE2011 = CODE2011;
    }

    public String getCODE2012() {
        return CODE2012;
    }

    public void setCODE2012(String CODE2012) {
        this.CODE2012 = CODE2012;
    }

    public String getCODE2013() {
        return CODE2013;
    }

    public void setCODE2013(String CODE2013) {
        this.CODE2013 = CODE2013;
    }

    public String getCODE2014() {
        return CODE2014;
    }

    public void setCODE2014(String CODE2014) {
        this.CODE2014 = CODE2014;
    }

    public String getCODE2015() {
        return CODE2015;
    }

    public void setCODE2015(String CODE2015) {
        this.CODE2015 = CODE2015;
    }

    public String getCODE2016() {
        return CODE2016;
    }

    public void setCODE2016(String CODE2016) {
        this.CODE2016 = CODE2016;
    }

    public String getCODE2020() {
        return CODE2020;
    }

    public void setCODE2020(String CODE2020) {
        this.CODE2020 = CODE2020;
    }

    public Date getSCAN_TIME() {
        return SCAN_TIME;
    }

    public void setSCAN_TIME(Date SCAN_TIME) {
        this.SCAN_TIME = SCAN_TIME;
    }

    public String getORDER_CODE() {
        return ORDER_CODE;
    }

    public void setORDER_CODE(String ORDER_CODE) {
        this.ORDER_CODE = ORDER_CODE;
    }

    public String getSALEORDER_CODE() {
        return SALEORDER_CODE;
    }

    public void setSALEORDER_CODE(String SALEORDER_CODE) {
        this.SALEORDER_CODE = SALEORDER_CODE;
    }

    public String getSALEORDER_LINENUMBER() {
        return SALEORDER_LINENUMBER;
    }

    public void setSALEORDER_LINENUMBER(String SALEORDER_LINENUMBER) {
        this.SALEORDER_LINENUMBER = SALEORDER_LINENUMBER;
    }

    public String getMATERIAL_CODE() {
        return MATERIAL_CODE;
    }

    public void setMATERIAL_CODE(String MATERIAL_CODE) {
        this.MATERIAL_CODE = MATERIAL_CODE;
    }

    public String getMATERIAL_MODEL() {
        return MATERIAL_MODEL;
    }

    public void setMATERIAL_MODEL(String MATERIAL_MODEL) {
        this.MATERIAL_MODEL = MATERIAL_MODEL;
    }

    public Long getORDER_AMOUNT() {
        return ORDER_AMOUNT;
    }

    public void setORDER_AMOUNT(Long ORDER_AMOUNT) {
        this.ORDER_AMOUNT = ORDER_AMOUNT;
    }

    public String getBOX_CODE() {
        return BOX_CODE;
    }

    public void setBOX_CODE(String BOX_CODE) {
        this.BOX_CODE = BOX_CODE;
    }

    public Long getBEFORE_NUMBER() {
        return BEFORE_NUMBER;
    }

    public void setBEFORE_NUMBER(Long BEFORE_NUMBER) {
        this.BEFORE_NUMBER = BEFORE_NUMBER;
    }

    public Long getSCAN_NUMBER() {
        return SCAN_NUMBER;
    }

    public void setSCAN_NUMBER(Long SCAN_NUMBER) {
        this.SCAN_NUMBER = SCAN_NUMBER;
    }

    public Long getDIFF_NUMBER() {
        return DIFF_NUMBER;
    }

    public void setDIFF_NUMBER(Long DIFF_NUMBER) {
        this.DIFF_NUMBER = DIFF_NUMBER;
    }

    public String getSCAN_SPOT() {
        return SCAN_SPOT;
    }

    public void setSCAN_SPOT(String SCAN_SPOT) {
        this.SCAN_SPOT = SCAN_SPOT;
    }

    public Date getIN_STORE_TIME() {
        return IN_STORE_TIME;
    }

    public void setIN_STORE_TIME(Date IN_STORE_TIME) {
        this.IN_STORE_TIME = IN_STORE_TIME;
    }

    public Date getCOMPLETE_DATE() {
        return COMPLETE_DATE;
    }

    public void setCOMPLETE_DATE(Date COMPLETE_DATE) {
        this.COMPLETE_DATE = COMPLETE_DATE;
    }

    public String getSCRAP_FLAG() {
        return SCRAP_FLAG;
    }

    public void setSCRAP_FLAG(String SCRAP_FLAG) {
        this.SCRAP_FLAG = SCRAP_FLAG;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }
}
